Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
mod_inv.cpp File Reference
`#include <botan/numthry.h>`
`#include <botan/divide.h>`
`#include <botan/internal/ct_utils.h>`
`#include <botan/internal/mp_core.h>`
`#include <botan/internal/rounding.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
size_t | Botan::almost_montgomery_inverse (BigInt &result, const BigInt &a, const BigInt &p)
BigInt | Botan::ct_inverse_mod_odd_modulus (const BigInt &n, const BigInt &mod)
BigInt | Botan::inverse_euclid (const BigInt &x, const BigInt &modulus)
BigInt | Botan::inverse_mod (const BigInt &n, const BigInt &mod)
word | Botan::monty_inverse (word a)
BigInt | Botan::normalized_montgomery_inverse (const BigInt &a, const BigInt &p)